# Created by pyp2rpm-3.3.7
%global pypi_name pydata-sphinx-theme

Name:           python-%{pypi_name}
Version:        0.16.1
Release:        %mkrel 1
Summary:        Bootstrap-based Sphinx theme from the PyData community
Group:          Development/Python
License:        BSD
URL:            https://github.com/pydata/pydata-sphinx-theme
Source0:        https://github.com/pydata/pydata-sphinx-theme/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# Source1 and Source2 created with ./prepare_vendor.sh
Source1:        pydata-sphinx-theme-%{version}-vendor.tar.xz
Source2:        pydata-sphinx-theme-%{version}-vendor-licenses.txt
Source3:        prepare_vendor.sh

ExclusiveArch:  x86_64
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx-theme-builder)
BuildRequires:  python3dist(nodeenv)
BuildRequires:  nodejs-devel
BuildRequires:  npm
BuildRequires:  yarnpkg

%description
A Bootstrap-based Sphinx theme from the PyData community.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Bootstrap-based Sphinx theme from the PyData community.

%prep
%autosetup -n %{pypi_name}-%{version} -p1 -a1

cp -p %{SOURCE2} .

# Substitute the installed nodejs version for the requested version
sed -i 's,^\(node-version = \)".*",\1"%{nodejs_version}",' pyproject.toml

# The Fedora sphinx package does not provide sphinx[test]
sed -i 's/\(sphinx\)\[test\]/\1/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
export YARN_CACHE_FOLDER="$PWD/.package-cache"
yarn install --offline
nodeenv --node=system --prebuilt --clean-src $PWD/.nodeenv

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydata_sphinx_theme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 0.16.1-1.mga10
+ Revision: 2153848
- new version: 0.16.1
- rebuild for python 3.13

* Wed Dec 27 2023 wally <wally> 0.14.4-1.mga10
+ Revision: 2022197
- new version 0.14.4
- rebuild for py3.12

* Sun Sep 11 2022 wally <wally> 0.10.0-1.mga9
+ Revision: 1887202
- new version 0.10.0
- build using prebuilt nodejs and vendored nodejs pkgs as system ones are too new

* Wed Mar 23 2022 umeabot <umeabot> 0.7.2-3.mga9
+ Revision: 1822625
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.7.2-2.mga9
+ Revision: 1774622
- Relax docutils requires

* Mon Feb 14 2022 tv <tv> 0.7.2-1.mga9
+ Revision: 1774371
- Downgrade to buildable 0.7.2
- Rebuild for python-3.10
+ tmb <tmb>
- update to 0.8.0

* Sun Feb 13 2022 tmb <tmb> 0.6.3-2.mga9
+ Revision: 1774016
- rebuild for python 3.10

* Sun Aug 29 2021 wally <wally> 0.6.3-1.mga9
+ Revision: 1743471
- imported package python-pydata-sphinx-theme

